-
 KDE-Apps.org Applications for the KDE-Desktop 
 GTK-Apps.org Applications using the GTK Toolkit 
 GnomeFiles.org Applications for GNOME 
 MeeGo-Central.org Applications for MeeGo 
 CLI-Apps.org Command Line Applications 
 Qt-Apps.org Free Qt Applications 
 Qt-Prop.org Proprietary Qt Applications 
 Maemo-Apps.org Applications for the Maemo Plattform 
 Java-Apps.org Free Java Applications 
 eyeOS-Apps.org Free eyeOS Applications 
 Wine-Apps.org Wine Applications 
 Server-Apps.org Server Applications 
 apps.ownCloud.com ownCloud Applications 
--
-
 KDE-Look.org Artwork for the KDE-Desktop 
 GNOME-Look.org Artwork for the GNOME-Desktop 
 Xfce-Look.org Artwork for the Xfce-Desktop 
 Box-Look.org Artwork for your Windowmanager 
 E17-Stuff.org Artwork for Enlightenment 
 Beryl-Themes.org Artwork for the Beryl Windowmanager 
 Compiz-Themes.org Artwork for the Compiz Windowmanager 
 EDE-Look.org Themes for your EDE Desktop 
--
-
 Debian-Art.org Stuff for Debian 
 Gentoo-Art.org Artwork for Gentoo Linux 
 SUSE-Art.org Artwork for openSUSE 
 Ubuntu-Art.org Artwork for Ubuntu 
 Kubuntu-Art.org Artwork for Kubuntu 
 LinuxMint-Art.org Artwork for Linux Mint 
 Arch-Stuff.org Art And Stuff for Arch Linux 
 Frugalware-Art.org Themes for Frugalware 
 Fedora-Art.org Artwork for Fedora Linux 
 Mandriva-Art.org Artwork for Mandriva Linux 
--
-
 KDE-Files.org Files for KDE Applications 
 OpenTemplate.org Documents for OpenOffice.org
 GIMPStuff.org Files for GIMP
 InkscapeStuff.org Files for Inkscape
 ScribusStuff.org Files for Scribus
 BlenderStuff.org Textures and Objects for Blender
 VLC-Addons.org Themes and Extensions for VLC
--
-
 KDE-Help.org Support for your KDE Desktop 
 GNOME-Help.org Support for your GNOME Desktop 
 Xfce-Help.org Support for your Xfce Desktop 
--
openDesktop.orgopenDesktop.org:   Applications   Artwork   Linux Distributions   Documents    LinuxDaily.com    Linux42.org    OpenSkillz.com   
 
Apps
News
Groups
Knowledge
Events
Forum
People
Jobs
Register
Login


Sponsoring


-
- Content .- Fans (8) .- Knowledge Base  . 

Mountoid

   0.41  

Plasmoid Binary

Score 85%
Mountoid
zoom


Mountoid
zoom


Minimum required   KDE 4.x
Downloads:  1646
Submitted:  Nov 23 2009
Updated:  Dec 24 2010

Description:

This plasmoid provides a way to mount/unmount devices from fstab (e.g. network shares), show free space and open mount point location in a file manager. It is fully configurable and supports fusefs and sshfs (don't forget to install a SSH_ASKPASS agent).

It now supports dis/connecting a LAN device through WakeOnLAN.







Changelog:

v0.41
=====
(*) fixed : some functions returned nothing although they said they should, and some compilers didn't like that

v0.40
=====
(*) added : a user guide (in the README file)
(*) improved : a better and more complete README file
(*) added : manage Wake-On-LAN devices
(*) added : detect whether a network device is connected
(*) added : command "show fstab entry"
(*) added : un/mount command timeout
(*) added : animated un/mounting process

v0.33
=====
(*) fixed : settings dialog's windows is huge. Split into one more category

v0.32
=====
(*) fixed : unkonwn device type (e.g. floppy drive) leads to applet crashing

v0.30
=====
(*) added : sshfs (no password) and fuse
(*) added : listview in addition of the usual iconview
(*) added : possibility to add devices from the contextual menu
(*) added : possibility to change the display order of devices, either in the configuration dialog or by dragging icons with the mouse (iconview only)
(*) added : possibility to change display settings (e.g. icons stacking orientation) from the contextual menu
(*) fixed : use of KRun to open mount points instead of ad-hoc KProcess with custom file manager
(*) better data/view separation in the code (needed to add the listview functionality, and allows faster implementation of new kind of views)


v0.20
=====
(*) fixed : colors modified by user are not restored
(*) fixed : plasmoid size sometimes is not restored
(*) added : numeric free/used/total space values in nickname
(*) added : possibility to load/eject (or turn on/off) a device




LicenseGPL
Ark(sources (v0.41))
Mandriva(Mandriva rpm (v0.33) (thanks to dglent))
Arch(ArchLinux package (v0.41) (thanks to cmlr))
Send to a friend
Subscribe
Other  Apps  from warzin
Report inappropriate content



goto page:  1  2  3  4  5 

-
.

 I have been waiting for it!

 
 by cjtess on: Nov 23 2009
 
Score 50%

Many thanks, I really like the plasmoid. I have an additional question, though...

I have always mounted some filesystems via sshfs. I know I could edit my fstab and add such mount-points. However, the beauty of fuse, is that allows you to create mountpoints that are not system-wide. Do you plan to add support for fuse, at a later point?


Reply to this

-

 Re: I have been waiting for it!

 
 by warzin on: Nov 23 2009
 
Score 50%

Thanks for your positive comment... this is my first plasmoid (or public contribution whatsoever), so I feel a bit shy!

About FUSE, I must confess I didn't know about it. I just gave a look about what it is and it doesn't seem impossible to handle : just change the 'mount' command by a 'fusermount', if I understood correctly. I'll give it a try later (I need to do proper, real work for now :) ).


Reply to this

-
.

 Thank you !

 
 by srog on: Nov 23 2009
 
Score 50%

Working fine with the Kubuntu 9.10.

Again: Thank you of a useful plasmoid !


PPA plasma widgets:
https://launchpad.net/ubuntu/+ppas?name_filter=plasma-widget

Reply to this

-
.

 Plasmoid needs older CMake?

 
 by brucew on: Nov 23 2009
 
Score 50%
brucewbrucew
Alcohol Justice
Home
-
Bruce Wolfe 1

Alcohol Justice
United States of America, San Rafael
Last visit Apr 4 2013
0 Friends
0 Groups

More info
Send a message
Add as friend
Other contents
--

Does not work fine with 9.10. Wants to use older version of CMAKE. I am using:
cmake version 2.6-patch 4

I get this error:
~/Downloads/KDE/Plasmoids/mountoid/build$ cmake -DCMAKE_INSTALL_PREFIX=$KDEDIRS ..
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
CMake Error at /usr/share/cmake-2.6/Modules/FindKDE4.cmake:84 (MESSAGE):
ERROR: cmake/modules/FindKDE4Internal.cmake not found in
/home/brucew/.kde/share/apps;/usr/share/kubuntu-default-settings/kde4-profile/default/share/apps;/usr/share/kde4/apps
Call Stack (most recent call first):
CMakeLists.txt:5 (find_package)


CMake Warning (dev) in CMakeLists.txt:
No cmake_minimum_required command is present. A line of code such as

cmake_minimum_required(VERSION 2.6)

should be added at the top of the file. The version specified may be lower
if you wish to support older CMake versions for this project. For more
information run "cmake --help-policy CMP0000".
This warning is for project developers. Use -Wno-dev to suppress it.

-- Configuring incomplete, errors occurred!


Please advise.


Reply to this

-

 Re: Plasmoid needs older CMake?

 
 by giucam on: Nov 23 2009
 
Score 50%

you need to install the devel libraries of kde. depending on the distro it could be kdelibs-dev or something like that.


Reply to this

-

 Re: Plasmoid needs older CMake?

 
 by warzin on: Nov 23 2009
 
Score 50%

maybe you should also replace '$KDEDIRS' by the actual location of your KDE4 install (usually /usr/share/kde4). See README file.
Please let me know if that, and installing the development files as suggested earlier, doesn't work.


Reply to this

-

 Re: Re: Plasmoid needs older CMake?

 
 by brucew on: Nov 23 2009
 
Score 50%
brucewbrucew
Alcohol Justice
Home
-
Bruce Wolfe 1

Alcohol Justice
United States of America, San Rafael
Last visit Apr 4 2013
0 Friends
0 Groups

More info
Send a message
Add as friend
Other contents
--

Your CMakeLists.txt file will not allow it.

~/Downloads/KDE/Plasmoids/mountoid$ cmake -DCMAKE_INSTALL_PREFIX=/usr/share/kde4 ..
CMake Error: The source directory "/home/brucew/Downloads/KDE/Plasmoids" does not appear to contain CMakeLists.txt.
Specify --help for usage, or press the help button on the CMake GUI.

The $KDEDIRS is not defined there.


Reply to this

-

 Re: Re: Re: Plasmoid needs older CMake?

 
 by brucew on: Nov 23 2009
 
Score 50%
brucewbrucew
Alcohol Justice
Home
-
Bruce Wolfe 1

Alcohol Justice
United States of America, San Rafael
Last visit Apr 4 2013
0 Friends
0 Groups

More info
Send a message
Add as friend
Other contents
--

Now after installing libskde5-dev it did complete the install but running 'plasmoidviewer mountoid' an error message returns that plasma couldn't find the "requested component: mountoid"

Please advise


Reply to this

-

 Re: Re: Re: Plasmoid needs older CMake?

 
 by brucew on: Nov 23 2009
 
Score 50%
brucewbrucew
Alcohol Justice
Home
-
Bruce Wolfe 1

Alcohol Justice
United States of America, San Rafael
Last visit Apr 4 2013
0 Friends
0 Groups

More info
Send a message
Add as friend
Other contents
--

Now after installing libskde5-dev it did complete the install but running 'plasmoidviewer mountoid' an error message returns that plasma couldn't find the "requested component: mountoid"

Please advise


Reply to this

-

 Re: Re: Re: Re: Plasmoid needs older CMake?

 
 by warzin on: Nov 23 2009
 
Score 50%

What happens if you launch 'kbuildsycoca4' in a terminal, or quit and reenter KDE? This should refresh KDE 's memory :)


Reply to this

-

 Re: Re: Plasmoid needs older CMake?

 
 by brucew on: Nov 23 2009
 
Score 50%
brucewbrucew
Alcohol Justice
Home
-
Bruce Wolfe 1

Alcohol Justice
United States of America, San Rafael
Last visit Apr 4 2013
0 Friends
0 Groups

More info
Send a message
Add as friend
Other contents
--

Your CMakeLists.txt file will not allow it.

~/Downloads/KDE/Plasmoids/mountoid$ cmake -DCMAKE_INSTALL_PREFIX=/usr/share/kde4 ..
CMake Error: The source directory "/home/brucew/Downloads/KDE/Plasmoids" does not appear to contain CMakeLists.txt.
Specify --help for usage, or press the help button on the CMake GUI.

The $KDEDIRS is not defined there.


Reply to this

-

 Re: Re: Re: Plasmoid needs older CMake?

 
 by brucew on: Nov 23 2009
 
Score 50%
brucewbrucew
Alcohol Justice
Home
-
Bruce Wolfe 1

Alcohol Justice
United States of America, San Rafael
Last visit Apr 4 2013
0 Friends
0 Groups

More info
Send a message
Add as friend
Other contents
--

Looking at that last error message, somehow it is referring to the directory above the mountoid folder.


Reply to this

-
.

 Plasmoid needs older CMake?

 
 by brucew on: Nov 23 2009
 
Score 50%
brucewbrucew
Alcohol Justice
Home
-
Bruce Wolfe 1

Alcohol Justice
United States of America, San Rafael
Last visit Apr 4 2013
0 Friends
0 Groups

More info
Send a message
Add as friend
Other contents
--

Does not work fine with 9.10. Wants to use older version of CMAKE. I am using:
cmake version 2.6-patch 4

I get this error:
~/Downloads/KDE/Plasmoids/mountoid/build$ cmake -DCMAKE_INSTALL_PREFIX=$KDEDIRS ..
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
CMake Error at /usr/share/cmake-2.6/Modules/FindKDE4.cmake:84 (MESSAGE):
ERROR: cmake/modules/FindKDE4Internal.cmake not found in
/home/brucew/.kde/share/apps;/usr/share/kubuntu-default-settings/kde4-profile/default/share/apps;/usr/share/kde4/apps
Call Stack (most recent call first):
CMakeLists.txt:5 (find_package)


CMake Warning (dev) in CMakeLists.txt:
No cmake_minimum_required command is present. A line of code such as

cmake_minimum_required(VERSION 2.6)

should be added at the top of the file. The version specified may be lower
if you wish to support older CMake versions for this project. For more
information run "cmake --help-policy CMP0000".
This warning is for project developers. Use -Wno-dev to suppress it.

-- Configuring incomplete, errors occurred!


Please advise.


Reply to this

-
.

 Wonderfull!

 
 by pipaceliny on: Nov 24 2009
 
Score 50%

In my opinion it is the best plasmoid published here last time.

I have two requests:

1.Please add to mountoid an option in settings to display optionally free/used/both disc space as number along or below mount point.
Now it is only displayed as tooltip over disc icon.

2.Add to cd-rom icon option to eject disc from drive.

Thanks


Darek
Reply to this

-

 Re: Wonderfull!

 
 by warzin on: Nov 24 2009
 
Score 50%

1) Ok, I'll try to add this feature.
2) My idea was not to supplant Device Manager, so I didn't want to go into managing physically the devices, but I understand it could be relevant. Moreover I will shortly need to address wake-on-lan (and go-to-sleep) on my new NAS so why not adding commands to turn on/off the device.


Reply to this

-

 Cmake fails

 
 by CharlesT on: Nov 27 2009
 
Score 50%

Results: (the lines may wrap)
tommy@kubuntu:~/Downloads/mountoid/build$ cmake -DCMAKE_INSTALL_PREFIX=$KDEDIRS ..
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.5.2 (using /usr/bin/qmake)
-- Looking for XOpenDisplay in /usr/lib/libX11.so;/usr/lib/libXext.so;/usr/lib/libXft.so;/usr/lib/libXau.so;/usr/lib/libXdmcp.so
-- Looking for XOpenDisplay in /usr/lib/libX11.so;/usr/lib/libXext.so;/usr/lib/libXft.so;/usr/lib/libXau.so;/usr/lib/libXdmcp.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib/libX11.so
-- Looking for include files CMAKE_HAVE_PTHREAD_H
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
-- Found Automoc4: /usr/bin/automoc4
-- Found Perl: /usr/bin/perl
-- Phonon includes NOT found!
CMake Error at /usr/share/kde4/apps/cmake/modules/FindPhonon.cmake:63 (message):
Phonon library or includes NOT found!
Call Stack (most recent call first):
/usr/share/kde4/apps/cmake/modules/FindKDE4Internal.cmake:559 (find_package)
/usr/share/cmake-2.6/Modules/FindKDE4.cmake:81 (FIND_PACKAGE)
CMakeLists.txt:5 (find_package)


-- Configuring incomplete, errors occurred!

I am using kubuntu Karmic Koala with KDE 4.3.3 on an AMD64.
Thank you!


Tom Bell
Reply to this

-

 Re: Cmake fails

 
 by warzin on: Nov 27 2009
 
Score 50%

Well, I'm at a loss here. Since the applet does not use Phonon, it shouldn't be unhappy about it. Somehow the CMake config file complains about something unrelevant. Did you try and install all the KDE SDK devel files? Please go on reporting if this does not solve your issue. In any case, the next version should take care about this.



Reply to this

-

 Re: Re: Cmake fails

 
 by CharlesT on: Nov 28 2009
 
Score 50%

I have the "libqt4-phonon-dev" package installed. What else is needed?
Thank you!


Tom Bell
Reply to this

-

 Re: Re: Re: Cmake fails

 
 by warzin on: Nov 30 2009
 
Score 50%

I'm afraid I don't know what happens. Please check that all KDE dev files are present. Otherwise I really don't where the bug can come from. Would you send me the generated Makefile as well as the cmake command line you used?


Reply to this

goto page:  1  2  3  4  5 

Add commentBack






-
-
How do you like Plasma 5?
 The best KDE Desktop ever.
 Definitely a nice improvement.
 Not decided yet. Haven't tried it yet.
 I do not like some of the changes.
 KDE is taking the wrong way.
 I am still sticking with KDE 3.5.
 I have no opinion, but wanted to vote anyway.

resultmore
 
 
 Who we are
Contact
More about us
Frequently Asked Questions
Register
Twitter
Blog
Explore
Apps
Jobs
Knowledge
Events
People
Updates on identi.ca
Updates on Twitter
Facebook App
Content RSS   
Events RSS   

Participate
Groups
Forum
Add App
Public API
About KDE-Apps.org
Legal Notice
Spreadshirt Shop
CafePress Shop
Advertising
Sponsor us
Report Abuse
 

Copyright 2003-2014 KDE-Apps.org Team  
All rights reserved. KDE-Apps.org is not liable for any content or goods on this site.
All contributors are responsible for the lawfulness of their uploads.
KDE and K Desktop Environment are trademarks of KDE e.V.